Get deal
curl --request GET \
--url https://{your-subdomain}.neetocrm.com/api/external/v2/deals/{id} \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetocrm.com/api/external/v2/deals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocrm.com/api/external/v2/deals/{id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"deal": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Eve Enterprise Deal",
"status": "in_progress",
"value": 10000,
"currency": "USD",
"price": "$ 10000",
"unique_number": "D-001",
"contact": {
"id": "c1d2e3f4-a5b6-7890-cdef-123456789012",
"name": "Eve"
},
"company": {
"id": "d2e3f4a5-b6c7-8901-def0-234567890123",
"name": "Eve Corp"
},
"owner": null,
"pipeline": null,
"stage": null,
"tags": [],
"created_at": "2025-03-15T10:30:00.000Z",
"updated_at": "2025-03-15T10:30:00.000Z"
}
}Deals
Get deal
Retrieve a single deal by its ID.
GET
/
deals
/
{id}
Get deal
curl --request GET \
--url https://{your-subdomain}.neetocrm.com/api/external/v2/deals/{id} \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetocrm.com/api/external/v2/deals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocrm.com/api/external/v2/deals/{id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"deal": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Eve Enterprise Deal",
"status": "in_progress",
"value": 10000,
"currency": "USD",
"price": "$ 10000",
"unique_number": "D-001",
"contact": {
"id": "c1d2e3f4-a5b6-7890-cdef-123456789012",
"name": "Eve"
},
"company": {
"id": "d2e3f4a5-b6c7-8901-def0-234567890123",
"name": "Eve Corp"
},
"owner": null,
"pipeline": null,
"stage": null,
"tags": [],
"created_at": "2025-03-15T10:30:00.000Z",
"updated_at": "2025-03-15T10:30:00.000Z"
}
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
The ID of the deal to retrieve. You can get the deal id by listing all deals using our List all deals API.
Response
200 - application/json
Successfully retrieved the deal.
Hide child attributes
Hide child attributes
Unique identifier for the deal.
Name of the deal.
Current status of the deal.
Available options:
in_progress, won, lost Monetary value of the deal.
Currency code for the deal value.
Formatted price string (e.g. "$ 10000").
Auto-generated unique number for the deal.
Owner of the deal.
Timestamp when the deal was created.
Timestamp when the deal was last updated.
⌘I